aboutsummaryrefslogtreecommitdiffstats
path: root/.travis/downstream.d/certbot.sh
diff options
context:
space:
mode:
Diffstat (limited to '.travis/downstream.d/certbot.sh')
-rwxr-xr-x.travis/downstream.d/certbot.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/.travis/downstream.d/certbot.sh b/.travis/downstream.d/certbot.sh
new file mode 100755
index 00000000..f255600f
--- /dev/null
+++ b/.travis/downstream.d/certbot.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+case "${1}" in
+ install)
+ git clone --depth=1 https://github.com/certbot/certbot
+ cd certbot
+ pip install pytest pytest-mock mock
+ pip install -e acme
+ pip install -e .
+ ;;
+ run)
+ cd certbot
+ pytest certbot/tests
+ pytest acme
+ ;;
+ *)
+ exit 1
+ ;;
+esac